# Interface GenericColor

All Known Implementing Classes:
  `AwtColor, AwtColor, Color`

public interface GenericColor
GenericColor allows both java.awt.Color and javajs.awt.Color to be handled by methods that need not distinguish between them. It is used in the javajs package for the background color of a javajs.swing.JComponent

Author:
  hansonr

## Method Summary

Modifier and Type
Method
Description
`GenericColor`
`addAlpha(int a)`
`int`
`getOpacity255()`
`int`
`getRGB()`

## Method Details

### getRGB

int getRGB()

### getOpacity255

int getOpacity255()

### addAlpha

GenericColor addAlpha(int a)